<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
        xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
        xmlns:pro="http://www.liquibase.org/xml/ns/pro"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
            http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd
            http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">
    <changeSet id="202401071220" author="jhanvega01@outlook.com">

        <createTable tableName='payment_methods' schemaName="orders">
            <column name="id" type="int" autoIncrement="true">
                <constraints nullable="false" primaryKey="true" unique="true"/>
            </column>
            <column name="name" type="varchar(255)">
                <constraints nullable="false"/>
            </column>
            <column name="user_who_created_id" type="int">
                <constraints nullable="true"/>
            </column>
            <column name="user_who_updated_id" type="int">
                <constraints nullable="true"/>
            </column>
            <column name="user_who_deleted_id" type="int">
                <constraints nullable="true"/>
            </column>
            <column name="created_at" type="datetime">
                <constraints nullable="true"/>
            </column>
            <column name="updated_at" type="datetime">
                <constraints nullable="true"/>
            </column>
            <column name="deleted_at" type="datetime">
                <constraints nullable="true"/>
            </column>
        </createTable>

        <insert tableName="payment_methods" schemaName="orders">
            <column name="name" value="TARJETA"/>
        </insert>

        <insert tableName="payment_methods" schemaName="orders">
            <column name="name" value="EFECTIVO"/>
        </insert>

        <insert tableName="payment_methods" schemaName="orders">
            <column name="name" value="CHEQUE"/>
        </insert>

        <rollback>
            <dropTable cascadeConstraints="false" schemaName="orders" tableName="payment_methods"/>
        </rollback>

    </changeSet>
</databaseChangeLog>